# CVE-2017-5715 (branch target injection)

- Report: Jun 1, 2017
- Credit: Jann Horn (Google Project Zero) and Paul Kocher in collaboration with, in alphabetical order, Daniel Genkin (University of Pennsylvania and University of Maryland), Mike Hamburg (Rambus), Moritz Lipp (Graz University of Technology), and Yuval Yarom (University of Adelaide and Data61)

## PoC

- [Eugnis/spectre-attack](https://github.com/Eugnis/spectre-attack) - Example of using revealed "Spectre" exploit (CVE-2017-5753 and CVE-2017-5715)
- [HarsaroopDhillon/SpectreExploit](https://github.com/HarsaroopDhillon/SpectreExploit) - SpectreExploit POC

## Reference

- [Spectre](https://spectreattack.com/spectre.pdf)
- [Reading privileged memory with a side-channel](https://googleprojectzero.blogspot.tw/2018/01/reading-privileged-memory-with-side.html)
- [marcan/speculation-bugs](https://github.com/marcan/speculation-bugs)
- [A Simple Explanation of the Differences Between Meltdown and Spectre](https://danielmiessler.com/blog/simple-explanation-difference-meltdown-spectre/)
- [Intel: Intel Responds to Security Research Findings](https://newsroom.intel.com/news/intel-responds-to-security-research-findings/)
- [Negative Result: Reading Kernel Memory From User Mode](https://cyber.wtf/2017/07/28/negative-result-reading-kernel-memory-from-user-mode/)
- [History stealing using timing attack](http://antoinevastel.github.io/security/privacy/2017/04/09/history-stealing.html)
- [CVE-2017-5715](https://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-5715)
